#!/bin/sh
echo 'name: IORefCAS
version: 0.2
id: IORefCAS-0.2-a252ba6e21251ad66ed4c4357097da81

license: BSD3
copyright:
maintainer: acfoltzer@gmail.com, rrnewton@gmail.com
stability:
homepage:
package-url:
synopsis: Atomic compare and swap for IORefs and STRefs.
description: After GHC 7.2 a new `casMutVar#` primop became available, but was
             not yet exposed in Data.IORef.  This package fills that gap until
             such a time as Data.IORef obsoletes it.
             .
             Further, in addition to exposing native Haskell CAS operations, this
             package contains \"mockups\" that imititate the same functionality
             using either atomicModifyIORef and unsafe pointer equality (in
             @Data.CAS.Fake@) or using foreign functions (@Data.CAS.Foreign@).
             These alternatives are useful for debugging.
             .
             Note that the foreign option does not operate on IORefs and so is
             directly interchangeable with `Data.CAS` and `Data.CAS.Fake` only if
             the interface in `Data.CAS.Class` is used.
category: Data
author: Adam C. Foltzer, Ryan Newton
exposed: True
exposed-modules: Data.CAS Data.CAS.Internal.Class
                 Data.CAS.Internal.Fake Data.CAS.Internal.Foreign
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/IORefCAS-0.2
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/IORefCAS-0.2
              /usr/local/lib
hs-libraries: HSIORefCAS-0.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.5.1.0-12fddc14a7babb909dd3843e453b5660
         bits-atomic-0.1.3-082ece9e9fae3508b64f5fac6b0f62b2
         ghc-prim-0.2.0.0-23f345e1ec26a64d5ebc768bd0b2a5d9
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/IORefCAS-0.2/html/IORefCAS.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/IORefCAS-0.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
